package it.sw.pa.comune.artegna.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import it.sw.pa.comune.artegna.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class LiberatoriaDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(LiberatoriaDTO.class);
        LiberatoriaDTO liberatoriaDTO1 = new LiberatoriaDTO();
        liberatoriaDTO1.setId(1L);
        LiberatoriaDTO liberatoriaDTO2 = new LiberatoriaDTO();
        assertThat(liberatoriaDTO1).isNotEqualTo(liberatoriaDTO2);
        liberatoriaDTO2.setId(liberatoriaDTO1.getId());
        assertThat(liberatoriaDTO1).isEqualTo(liberatoriaDTO2);
        liberatoriaDTO2.setId(2L);
        assertThat(liberatoriaDTO1).isNotEqualTo(liberatoriaDTO2);
        liberatoriaDTO1.setId(null);
        assertThat(liberatoriaDTO1).isNotEqualTo(liberatoriaDTO2);
    }
}
